Subject: [alpine-aports] [PATCH] testing/php7-gmagick: new aport

From: Valery Kartel <[email-masked]>
Date: Sat, 5 Mar 2016 12:45:05 +0200

PHP7 bindings to the GraphicsMagick library
http://pecl.php.net/package/gmagick
---
 testing/php7-gmagick/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/php7-gmagick/APKBUILD

diff --git a/testing/php7-gmagick/APKBUILD b/testing/php7-gmagick/APKBUILD
new file mode 100644
index 0000000..0f07b5c
--- /dev/null
+++ b/testing/php7-gmagick/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=php7-gmagick
+_pkgreal=gmagick
+pkgver=2.0.2_rc1
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP7 bindings to the GraphicsMagick library"
+url="http://pecl.php.net/package/gmagick"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php7-dev autoconf"
+makedepends="$pecldepends graphicsmagick-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr \
+		--with-php-config=/usr/bin/php-config7 \
+	|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/$_pkgreal.ini
+}
+
+md5sums="c36e2adef005427c6e7329908849ddfe  gmagick-2.0.2RC1.tgz"
+sha256sums="b8051330127bf15d195c29df18b92e6e86bcbf9224171698bf12ae76fc790628  gmagick-2.0.2RC1.tgz"
+sha512sums="21ee127345eb483d4954efaeff35a2734070d77ec0a9f38fde7993566a226186be68925a6425b0c54a782255d5ad5c466dddbb61d97a195fd04424eacb49d901  gmagick-2.0.2RC1.tgz"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---